TYPO3.Eel - Feature # 52879

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:

Created: 2013-10-16 Assigned To: Dominique Feyer
Updated: 2013-10-30 Due date:

Subiject: Implement Slice operation

Description

As discussed on IRC with Christian EEL should support natively Slice opertation. A basic use case will be to display a list the the two
last node type for a teaser.

API should look like, and work like the JS slide method:
${qg(site).find('fr/blog’).children([instanceof Namespace.Plugin.Blog:Post]').slice()}

${q(site).find('fr/blog").children('[instanceof Namespace.Plugin.Blog:Post]').slice(2)}
${q(site).find('fr/blog').children([instanceof Namespace.Plugin.Blog:Post]').slice(0, 2)}

Associated revisions

Revision 76d47517 - 2013-10-30 11:52 - Dominique Feyer

[FEATURE] Add Slice operation to FlowQuery

Change-Id: le051¢c34c4c6cd204075cb3ed087e9ee05bf748ff
Resolves: #52879

Releases: master

Reviewed-on: https://review.typo3.0rg/24815

Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Reviewed-by: Dominique Feyer

Tested-by: Dominique Feyer

History

#1 - 2013-10-16 10:18 - Dominique Feyer
- Tracker changed from Bug to Feature

#2 - 2013-10-16 10:20 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24815

#3 - 2013-10-28 23:35 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24815

#4 - 2013-10-29 11:56 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24815

#5 - 2013-10-30 11:22 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24815

#6 - 2013-10-30 12:35 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:76d475170f09¢f168c9¢9a275090098172920400.
